Lavalite package that provides testing management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/testing`.

    "litecms/testing": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\Testing\Providers\TestingServiceProvider::class,

And also add it to alias

    'Testing'  => Litecms\Testing\Facades\Testing::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\TestingTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\Testing\Providers\TestingServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\Testing\Providers\TestingServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\Testing\Providers\TestingServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/testing/{modulename}

**User**

    http://path-to-route-folder/user/testing/{modulename}

**Public**

    http://path-to-route-folder/testings


### API endpoints

**List**

    http://path-to-route-folder/api/user/testing/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/testing/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/testing/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/testing/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/testing/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/testing/{modulename}/{slug}
    METHOD: GET